<!DOCTYPE html>
<div xmlns:th="http://www.thymeleaf.org">
  <div class="container">

    <div class="row">
      <h4 th:if="${param.error}">Invalid credentials</h4>
      <h4 th:if="${param.logout}">Sign out successful</h4>
    </div>

    <div class="row">
      <div class="col-md-4">
        <form class="form" th:action="@{/login}" method="POST">
          <div class="form-group">
            <label for="username">Username</label>
            <input type="text" class="form-control" name="username" id="username" />
          </div>
          <div class="form-group">
            <label for="password">Password</label>
            <input type="password" class="form-control" name="password" id="password" />
          </div>
          <div class="form-group">
            <label for="remember">Remember Me</label>
            <input type="checkbox" name="remember-me" id="remember" />
          </div>
          <div class="form-group" style="margin-bottom: 10px;">
            <button type="submit" value="Login" class="btn btn-primary">Login</button>
          </div>

          <div class="form-group">
            <div class="col-md-12">
              <hr />
              <div>
                <a href="/login/facebook" class="btn btn-primary">
                  <i class="fa fa-fw fa-facebook"></i>
                  Facebook Login
                </a>
                <a href="/login/github" class="btn btn-default">
                  <i class="fa fa-fw fa-github"></i>
                  Github Login
                </a>
                <a href="/login/google" class="btn btn-default">
                  <i class="fa fa-fw fa-google"></i>
                  Google Login
                </a>
              </div>
              <br />
              <div>
                <p>Don't have an account? <a href="/register">Register</a></p>
                <p>Forgot password? <a href="/reset-password">Reset password</a></p>
              </div>
            </div>
          </div>

        </form>
      </div>

    </div>

  </div>

</div>
